'use strict';

exports.__esModule = true;
exports.injectReducers = exports.injectReducer = exports.makeRootReducer = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _redux = require('redux');

var _location = require('./location');

var _location2 = _interopRequireDefault(_location);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//初始化reducer
var makeRootReducer = exports.makeRootReducer = function makeRootReducer(asyncReducers) {
  return (0, _redux.combineReducers)(_extends({
    location: _location2.default
  }, asyncReducers));
};
// 注入reducer
var injectReducer = exports.injectReducer = function injectReducer(store, _ref) {
  var key = _ref.key,
      reducer = _ref.reducer;

  store.asyncReducers[key] = reducer;
  store.replaceReducer(makeRootReducer(store.asyncReducers));
};
// 注入多个reducer
var injectReducers = exports.injectReducers = function injectReducers(store, arr) {
  for (var i = 0; i < arr.length; i++) {
    var key = arr[i].key;
    var reducer = arr[i].reducer;
    store.asyncReducers[key] = reducer;
    store.replaceReducer(makeRootReducer(store.asyncReducers));
  }
};

exports.default = makeRootReducer;

// (function (global, factory) {
// typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
// typeof define === 'function' && define.amd ? define(factory) : (global.Qarticles = factory());
//
// })(this, function () {
//   class Qarticles {
//     constructor(canvas, options = {}) {
//       this.canvas = canvas
//       this.width = options.width || 100
//     }
//     ...
//     }
//   return Qarticles
// })